--- ckutio.c	11 Jun 2005 12:21:05 -0000	1.1.1.1
+++ ckutio.c	11 Jun 2005 12:25:47 -0000
@@ -301,6 +301,28 @@
 #include <sys/stat.h>
 #endif /* CIE */
 
+/* Whether to include <fcntl.h> */
+/* we should define open() before usage (baudboy.h) */
+
+#ifndef is68k				/* Only a few don't have this one. */
+#ifndef BSD41
+#ifndef FT21
+#ifndef FT18
+#ifndef COHERENT
+#include <fcntl.h>
+#endif /* COHERENT */
+#endif /* FT18 */
+#endif /* FT21 */
+#endif /* BSD41 */
+#endif /* not is68k */
+
+#ifdef COHERENT
+#ifdef _I386
+#include <fcntl.h>
+#else
+#include <sys/fcntl.h>
+#endif /* _I386 */
+#endif /* COHERENT */
 /* UUCP lockfile material... */
 
 #ifndef NOUUCP
@@ -785,27 +807,6 @@
 #endif /* FIONREAD */
 #endif /* XENIX */
 
-/* Whether to include <fcntl.h> */
-
-#ifndef is68k				/* Only a few don't have this one. */
-#ifndef BSD41
-#ifndef FT21
-#ifndef FT18
-#ifndef COHERENT
-#include <fcntl.h>
-#endif /* COHERENT */
-#endif /* FT18 */
-#endif /* FT21 */
-#endif /* BSD41 */
-#endif /* not is68k */
-
-#ifdef COHERENT
-#ifdef _I386
-#include <fcntl.h>
-#else
-#include <sys/fcntl.h>
-#endif /* _I386 */
-#endif /* COHERENT */
 
 #ifdef ATT7300				/* Unix PC, internal modem dialer */
 #include <sys/phone.h>
--- ckuver.h	11 Jun 2005 12:21:06 -0000	1.1.1.1
+++ ckuver.h	11 Jun 2005 12:40:21 -0000
@@ -173,6 +173,7 @@
 #endif /* BSDI4 */
 #else  /* __bsdi__ */
 #ifdef __NetBSD__
+#ifndef HERALD
 #ifdef NETBSD16
 #define HERALD " NetBSD 1.6"
 #else
@@ -182,6 +183,7 @@
 #define HERALD " NetBSD"
 #endif /* NETBSD15 */
 #endif /* NETBSD16 */
+#endif /* HERALD */
 #else  /* __NetBSD__ */
 #ifdef __FreeBSD__
 #ifdef FREEBSD51
--- makefile	11 Jun 2005 12:21:03 -0000	1.1.1.1
+++ makefile	11 Jun 2005 13:21:45 -0000
@@ -1840,6 +1840,15 @@
 	-DCK_DTRCD -DCK_DTRCTS -DTPUTSARGTYPE=int -DFNFLOAT $(KFLAGS) -O" \
 	"LIBS= -lcurses -lcrypt -lm $(LIBS)"
 
+#NetBSD 2.x - like 1.5.x/1.6 but with uname vanity banner
+netbsd2:
+	@echo Making C-Kermit $(CKVER) for NetBSD with curses...
+	$(MAKE) CC=$(CC) CC2=$(CC2) xermit KTARGET=$${KTARGET:-$(@)} \
+	"CFLAGS= -DBSD44 -DCK_CURSES -DTCPSOCKET -DUSE_STRERROR \
+	-DHERALD=\"\\\" NetBSD `uname -r`\\\"\" \
+	-DCK_DTRCD -DCK_DTRCTS -DTPUTSARGTYPE=int -DFNFLOAT $(KFLAGS) -O" \
+	"LIBS= -lcurses -lcrypt -lm $(LIBS)"
+
 #NetBSD with ncurses requested explicitly rather than curses-which-is-ncurses
 netbsdn:
 	@echo Making C-Kermit $(CKVER) for NetBSD with ncurses...
